This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 744881 - tigervnc-server-module-1.1.0-1.fc16 incompatible with current F16 beta
tigervnc-server-module-1.1.0-1.fc16 incompatible with current F16 beta
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
16
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 753216
  Show dependency treegraph
 
Reported: 2011-10-10 14:43 EDT by Jonathan Kamens
Modified: 2013-04-30 19:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: tigervnc-1.1.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 753216 (view as bug list)
Environment:
Last Closed: 2011-11-13 00:32:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2011-10-10 14:43:35 EDT
From /var/log/Xorg.0.log:

[    40.532] (II) Loading /usr/lib64/xorg/modules/extensions/libvnc.so
[    40.550] (EE) Failed to load /usr/lib64/xorg/modules/extensions/libvnc.so: /usr/lib64/xorg/modules/extensions/libvnc.so: undefined symbol: GetMaster
[    40.550] (EE) LoadModule: Module vnc does not have a vncModuleData data object.
[    40.550] (II) UnloadModule: "vnc"
[    40.550] (II) Unloading vnc
[    40.551] (EE) Failed to load module "vnc" (invalid module, 0)
Comment 1 Adam Tkac 2011-10-11 09:18:31 EDT
Thanks for report, there are multiple ways how to fix this bug. The best way is to export the GetMaster() symbol from Xorg, I've just sent the patch[1] to Xorg upstream and if they accept it, I will backport it to Fedora.

[1] http://lists.x.org/archives/xorg-devel/2011-October/026217.html
Comment 2 Henrique Martins 2011-11-10 10:42:45 EST
This didn't seem to make into the released F16.  Is one of the multiple ways to fix this bug something a simple user can do or do I have to forego tightervnc till then?
Comment 3 Adam Tkac 2011-11-10 10:52:46 EST
(In reply to comment #2)
> This didn't seem to make into the released F16.  Is one of the multiple ways to
> fix this bug something a simple user can do or do I have to forego tightervnc
> till then?

I will release fixed libvnc.so later today or tomorrow.
Comment 4 Fedora Update System 2011-11-11 09:42:52 EST
tigervnc-1.1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/tigervnc-1.1.0-2.fc16
Comment 5 Henrique Martins 2011-11-11 10:57:14 EST
Seems to work for both i686 and x86_64.

Cleanup phase of update yields a couple of warnings:

Cleanup    : tigervnc-server-1.1.0-1.fc16.x86_64
Non-fatal POSTUN scriptlet failure in rpm package tigervnc-server-.1.0-1.fc16.x86_64 
Cleanup    : tigervnc-server-minimal-1.1.0-1.fc16.x86_64
warning: %postun(tigervnc-server-1.1.0-1.fc16.x86_64) scriptlet failed, exit status 1
Comment 6 Adam Tkac 2011-11-11 11:05:56 EST
(In reply to comment #5)
> Cleanup    : tigervnc-server-1.1.0-1.fc16.x86_64
> Non-fatal POSTUN scriptlet failure in rpm package
> tigervnc-server-.1.0-1.fc16.x86_64 
> Cleanup    : tigervnc-server-minimal-1.1.0-1.fc16.x86_64
> warning: %postun(tigervnc-server-1.1.0-1.fc16.x86_64) scriptlet failed, exit
> status 1

This seems like a bug somewhere in the tigervnc-server scriptlets. I will clone this bugreport to track this issue...
Comment 7 Fedora Update System 2011-11-11 22:27:51 EST
Package tigervnc-1.1.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.1.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15801
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-11-13 00:32:00 EST
tigervnc-1.1.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.